Bug 467613 - rpc.mountd does not announce any flavors
Summary: rpc.mountd does not announce any flavors
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-19 13:11 UTC by Ralf Ertzinger
Modified: 2009-06-11 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-11 14:15:37 UTC
Type: ---


Attachments (Terms of Use)

Description Ralf Ertzinger 2008-10-19 13:11:11 UTC
Description of problem:
I'm not sure whether this is a configuration problem, a bug or valid behaviour.

Scenario: Solaris 11 NFS client/Fedora Rawhide NFS server
To be exact I'm tyring to run a Solaris Jumpstart server on the Fedora Box.
The solaris installer is unable to mount the NFS directory exported by the server. The exact error message is:

nfs mount: security mode does not match the server exporting 10.200.255.1:/jumpstart

The NFS server per se works, other (Linux) client can mount and access this share.

The cause for this seems to be that rpc.mountd does not announce any security flavors in the reply to the mount request package (the field in the package says 'flavors: 0'), and that the solaris client expects at least one to be present (even if it's AUTH_NULL).

Who's to blame here?

Version-Release number of selected component (if applicable):
nfs-utils-1.1.3-6.fc10.i386


How reproducible:
Always

Steps to Reproduce:
1. Boot solaris installer
2. Try to mount NFS share
3.
  
Actual results:
Error message above

Expected results:
mounted directory

Additional info:

Comment 1 Ralf Ertzinger 2008-10-19 13:16:03 UTC
This seems to be related to commit 3c1bb23c0379864722e79d19f74c180edcf2c36e.

Further version details:
The Solaris version I used was release 98. This has been replaced by release 99 by now, it seems, which I have not tested yet.

Comment 2 Ralf Ertzinger 2008-10-19 13:53:09 UTC
The same happens from a system installed from Opensolaris 2008.5 (available here: http://dlc.sun.com/osol/opensolaris/2008/05/os200805.iso).

It's a live cd, which would make for easy testing.

Comment 3 Steve Dickson 2008-11-18 20:55:37 UTC
Thanks... I'll try that...

Comment 4 Bug Zapper 2008-11-26 04:00:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Steve Dickson 2008-12-04 20:15:39 UTC
The syntax has changed from
/home *(rw,fsid=1,nohide) gss/krb5(rw,fsid=1,nohide) gss/krb5i(rw,fsid=1,nohide) gss/krb5p(rw,fsid=1,nohide)

to 

/home *(rw,fsid=1,nohide,sec=sys:krb5:krb5i:krb5p)

see exportfs(5) man page for details

Comment 6 Ralf Ertzinger 2009-02-06 20:43:32 UTC
adding sec=sys indeed fixes this.

Comment 7 Steve Dickson 2009-06-11 14:15:37 UTC
I am no longer able to reproduce this problem with the latest F-10 or
F-11 nfs-utils... So I'm going to close this bug. Please feel free to
reopen if the problem comes back...

thank you for using Fedora....


Note You need to log in before you can comment on or make changes to this bug.